#!/bin/sh

make clean || true

./configure --prefix=/home/zeenix/jhbuild --libdir=/home/zeenix/jhbuild/lib64 --without-driver-modules CFLAGS='-Wno-error=deprecated-declarations -Wno-error=cpp -O0 -ggdb3 -fno-inline -fno-omit-frame-pointer' --with-test=no || exit 125
make install || { git reset --hard && exit 125; }
libvirtd &
sleep 3
if killall libvirtd; then
        # We found a good commit, yay!
        EXIT_STATUS=0
else
        EXIT_STATUS=1
fi

# make sure libvirtd dies
killall -9 libvirtd || true

make uninstall || true
rm -Rf ~/jhbuild/lib64/libvirt ~/jhbuild/lib64/libvirt.so* /home/zeenix/jhbuild/lib64/libvirt-qemu.so*

git reset --hard

exit $EXIT_STATUS
